package api.common.pojo.param.scene;

import api.common.pojo.common.CommonPO;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 人员场景包表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemScenePackageParam extends CommonPO   implements Serializable {
    private String id;              // 主键
    private String packageName;        // 场景包名
    private String sceneDescribe;          // 场景包描述
    private String userName;          // 账号名称

    public String yearMax;//结束时间

    public String yearMin;//开始时间

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Integer currentPage=1;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Integer pageSize=10;
}