package api.common.pojo.po.project;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class ManualProjectTaskPo extends BasePo {

    //项目主表id
    private String pId;

    //场景id
    private String sceneId;

    //场景名称
    private String sceneName;

    //场景类型
    private String sceneType;

    //运行开始时间
    private Date runStartTime;

    //运行结束时间
    private Date runEndTime;

    //运行状态
    private String runState;

    //运行结果
    private String runResult;

    //运行结果文件minio路径
    private String runResultFilePath;

    //得分
    private String score;

    //指标评价
    private String targetEvaluate;

    //里程
    private String mileage;

    //平均速度
    private String averageVelocity;

    //最大速度
    private String maximunSpeed;

    //最小速度
    private String minimunVelocity;

    //最大加速度
    private String maximumAcceleration;

    //最大减速度
    private String maximumDeceleration;

    //最大摆角速度
    private String maximumSwingSpeed;

    //自车速度方差
    private String speedVariance;

    //舒适度
    private String speedComfortLevel;

    //自车横摆角速度均方根
    private String swingSpeedMeanSquareRoot;

    //舒适度
    private String swingComfortLevel;

    //acceleration变化曲线
    private String acceleration;

    //lane_offset变化曲线
    private String laneOffset;

    //brake变化曲线
    private String brake;

    //steeting_wheel变化曲线
    private String steetingWheel;

    //throttle变化曲线
    private String throttle;

    //yaw_rate变化曲线
    private String yawRate;

    //velocity变化曲线
    private String velocity;

    //其他
    private String otherCurve;

    //时间轴
    private String timerShaft;




}
