package com.css.simulation.resource.scene.feign;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.SceneImportParam;
import com.css.simulation.resource.scene.common.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(value = "simulation-resource-server",
        contextId = "SceneService",
        path = "/simulation/resource/server",
        fallback = SceneServiceFallback.class,
        configuration = FeignConfiguration.class)
public interface SceneService {

    @PostMapping("/SceneAccident/saveSceneAccidentBatch")
    ResponseBodyVO saveSceneAccidentBatch(SceneImportParam sceneImportParam);
}
