package com.css.simulation.resource.scheduler.controller;


import api.common.pojo.dto.ProjectMessageDTO;
import com.css.simulation.resource.scheduler.consumer.ManualProjectConsumerTest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RefreshScope
@RestController
@RequestMapping("/test")
public class TestController {

    @Value("${hello}")
    String hello;
    @Autowired
    ManualProjectConsumerTest manualProjectConsumerTest;

    @RequestMapping("/hello")
    public String hello() {
        return hello;
    }

    @PostMapping("/message")
    public void test(@RequestBody ProjectMessageDTO projectMessageDTO) {
        manualProjectConsumerTest.parseManualProjectTest(projectMessageDTO);
    }
}
