package com.css.simulation.resource.algorithm.service;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.algorithm.AlgorithmParameter;

import java.io.IOException;
import java.security.KeyManagementException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.util.Map;


public interface AlgorithmService {

    ResponseBodyVO addOrUpdate(AlgorithmParameter param) throws IOException;

    ResponseBodyVO selectAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO selectAlgoPlatformList(AlgorithmParameter param);

    ResponseBodyVO deleteByid(AlgorithmParameter param);

    ResponseBodyVO selectDetailsById(String algorithmId);

    ResponseBodyVO selectSharedAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO shareAlgorithm(AlgorithmParameter param);

    ResponseBodyVO testConnection(AlgorithmParameter param);

    String getGitVersion(String algorithmId);

    Map<String,Integer> selectDetailsBySy();
}
