package com.css.simulation.resource.project.mapper;

import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.project.SimulationAutomaticProjectPo;
import api.common.pojo.po.project.SimulationAutomaticSubProjectPo;
import api.common.pojo.vo.project.SimulationManualProjectVo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SimulationAutomaticSubProjectMapper {

     SimulationAutomaticSubProjectPo selectLastProjectId(String id);

     int addAutomaticSubProject(SimulationAutomaticSubProjectPo po);

     List<SimulationAutomaticSubProjectPo> selectProjectNowRunState(String[] ids);

     int deleteProject(String[] ids);

     List<SimulationManualProjectVo> selectList(SimulationManualProjectParam param);

     SimulationAutomaticSubProjectPo selectById(SimulationManualProjectParam param);

     SimulationManualProjectVo selectProjectInfo(SimulationManualProjectParam param);

     int updateNowRunState(SimulationManualProjectParam param);


}
