package com.css.simulation.resource.project.mapper;

import api.common.pojo.param.project.ProjectTaskParam;
import api.common.pojo.param.project.SceneScoreParam;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.algorithm.AlgorithmPO;
import api.common.pojo.po.project.*;
import api.common.pojo.vo.project.*;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SimulationProjectTaskMapper {

    List<ManualProjectTaskPo> selectprojectTaskByQuery(ProjectTaskParam vo);

    List<ManualProjectTaskVo>  selectProjectTaskByProjectId(ProjectTaskParam vo);

    Integer selectProjectTaskNumByProjectId(ProjectTaskParam vo);

    List<ProjectRunStateNumVo> selectRunStateCount(String id);

    List<ProjectRunResultRatioNumVo> selectRunResultCount(String id);

    List<ProjectRunResultRatioNumVo> selectScoreCount(String id);

    List<SceneScoreVo> selectSceneScoreByIds(SceneScoreParam param);

    SceneScoreVo selectSceneScoreNumQuery(SimulationMptSceneScorePo po);

    Integer selectRunTaskBySy(Map map);

    List<Map> selectRunTaskByState(Map map);

    //更新仿真结果到数据库
    int updateTaksResult(ManualProjectTaskPo po);

    SceneScoreVo selectRunStateByAborted(SimulationMptSceneScorePo po);


    List<ManualProjectTaskVo> selectProjectTaskById(String id);






}
