package api.common.pojo.param.log;

import api.common.pojo.common.PageVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.sql.Timestamp;

@Data
public class LogPageParam extends PageVO {

    //账户id
    private String id;
    //账户名
    private String username;
    //模块
    private String module;
    //操作类型
    private String operationType;
    //操作内容
    private String content;
    //操作时间起
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Timestamp createTimeBegin;
    //操作时间止
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Timestamp createTimeEnd;
}
