package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 交通事故场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneGeneralTemplateParam extends PageVO implements Serializable {

    private String id;              // （唯一）
    private String sceneId;//场景编号
    private List<String> scenarioWeather;  //天气
    private String scenarioTime;  //场景发生时间
    private List<String> fileName;//模块名称
    private String version;//版本号

}