package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 自然驾驶场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneNaturalNewParam extends PageVO implements Serializable {

    private String naturalName;              // 场景编号
    private String[][] naturalEnvironment ; //自然环境
    private String[][] road ; //道路
    private String[][] infrastructure ; //基础设施
    private String[][] temporaryOperation ; //临时性操作
    private String[][] trafficCondition ; //交通状况
    private String[][] selfBehavior  ;//自车行为
    private String[][] targetBehavior ; //目标行为
    private String[] ids ; //回显数组

    private String[][] highSpeed ;//高速
    private String[][] ramp;//匝道
    private String[][] tunnel;//隧道
    private String[][] cutIn;//切入
    private String[][] cutOut;//切出
    private String[][] laneChange;//变道
    private String[][] turnAround;//掉头


}