package api.common.pojo.po.scene;

import api.common.pojo.common.CommonPO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 人员场景包表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemScenePackageNewPO extends CommonPO implements Serializable {
    private String id;              // 主键
    private String packageName;        // 场景包名
    private String sceneDescribe;          // 场景包描述
    private List<String> zrIds;          // 自然场景ids
    private List<String> bzIds;          // 标准法规场景ids
    private List<String> jtIds;          // 交通事故自然场景ids
    private List<String> fhIds;          // 泛化模板场景ids
}