package api.common.pojo.po.scene;

import api.common.pojo.common.CommonPO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 人员场景包子表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemScenePackageSublistPO extends CommonPO implements Serializable {
    private String sublistId;              // 主键
    private String sceneType;        // 场景类型
    private String sceneId;        // 场景id
    private String sceneAndPackage;          // 关联场景包id
}