package api.common.pojo.vo.model;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class VehicleTempVO {

    //主键id
    private String id;
    //车辆编码
    private String vehicleCode;
    //车辆名称
    private String vehicleName;
    //车辆描述
    private String description;
    //模型标识
    private String modelLabel;
    //车辆类型（字典代码）
    private String vehicleType;
    //车辆型号
    private String vehicleModel;
    //车辆颜色
    private String vehicleColour;
    //车辆前视图
    private String vehicleFrontView;
    //车辆俯视图
    private String vehicleTopView;
    //最大速度（千米/小时）
    private BigDecimal maxSpeed;
    //发动机功率（千瓦）
    private BigDecimal enginePower;
    //最大减速度（米/秒2）
    private BigDecimal maxDeceleration;
    //最大转角（度）
    private BigDecimal maxSteeringAngle;
    //质量（千克）
    private BigDecimal mass;
    //前表面有效面积（平方米）
    private BigDecimal frontSurfaceEffective;
    //空气阻力系数
    private BigDecimal airDragCoefficient;
    //滚动阻力系数
    private BigDecimal rollingResistanceCoefficient;
    //车轮直径（米）
    private BigDecimal wheelDiameter;
    //驱动方式
    private String wheelDrive;
    //总效率
    private BigDecimal overallEfficiency;
    //车前距（米）
    private BigDecimal frontDistance;
    //车后距（米）
    private BigDecimal rearDistance;
    //车左距（米）
    private BigDecimal leftDistance;
    //车右距（米）
    private BigDecimal rightDistance;
    //车高（米）
    private BigDecimal heightDistance;
    //轴距（米）
    private BigDecimal wheelbase;
    //是否启用
    private String valid;
    //序号
    private int sort;
}
