package com.css.simulation.resource.scheduler.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface AutoProjectMapper {


    @Update("update simulation_automatic_project\n" +
            "set now_run_state = #{nowRunState}\n" +
            "where id = (select parent_id\n" +
            "            from simulation_automatic_subproject\n" +
            "            where id = #{subProjectId})")
    void updateProjectStateBySubProjectId(@Param("subProjectId") String id, @Param("nowRunState") String state);

}
