package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.SceneAccidentParam;
import api.common.pojo.po.scene.SceneAccidentPO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;
import java.util.List;

@Mapper
@Repository
public interface SceneAccidentMapper {

    void saveSceneAccident(SceneAccidentPO params);

    void saveSceneAccidentList(List<SceneAccidentPO> list);

    List<SceneAccidentPO> querySceneAccidentList(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByXlk(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByBq(SceneAccidentParam params);

    void deleteSceneAccidentList(SceneAccidentPO params);

    String querySceneAccidentByNmae(String sceneName);
    void updateSceneAccident(SceneAccidentPO params);
    void updateSceneAccidentList(List<SceneAccidentPO> list);


}
