package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.StandardsRegulationsParam;
import api.common.pojo.po.scene.StandardsRegulationsPO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;
import java.util.List;


@Mapper
@Repository
public interface StandardsRegulationsMapper {

    void saveStandardsRegulations(StandardsRegulationsPO params);
    void saveStandardsRegulationsList(List<StandardsRegulationsPO> list);

    List<StandardsRegulationsPO> queryStandardsRegulationsList(StandardsRegulationsParam params);
    List<StandardsRegulationsPO> queryStandardsRegulationsListByBq(StandardsRegulationsParam params);

    void deleteStandardsRegulations(StandardsRegulationsPO params);

    String queryStandardsRegulationsByName(String sceneName);

    void updateStandardsRegulations(StandardsRegulationsPO params);
    void updateStandardsRegulationsList(List<StandardsRegulationsPO> list);
}
