package com.css.simulation.resource.scene.mapper;

import api.common.pojo.po.home.SystemAccessPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;


@Mapper
public interface SystemAccessMapper {


    @Select("<script>" +
            "        select count(id) from system_access\n" +
            "        where 1=1\n" +
            "        <if test=\"startDate != null\">\n" +
            "            and access_time &gt;= #{startDate}\n" +
            "        </if>\n" +
            "        <if test=\"endDate != null\">\n" +
            "            and access_time &lt;= #{endDate}\n" +
            "        </if>" +
            "</script>")
    Integer selectPastAccess(Map<String, Object> params);

    @Select("insert into system_access(id, access_time) values (#{po.id}, #{po.accessTime})")
    Integer insert(@Param("po") SystemAccessPO systemAccessPO);
}
