package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.SystemScenePackageParam;
import api.common.pojo.po.scene.SystemScenePackagePO;
import api.common.pojo.vo.scene.SystemScenePackageVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SystemScenePackageMapper {

    void saveSystemScenePackage(SystemScenePackagePO po);

    List<SystemScenePackageVO> querySystemScenePackageList(SystemScenePackageParam params);
    List<SystemScenePackageVO> queryPackageByUserIdList(SystemScenePackageParam params);
    List<Map> queryPackageList( );
    SystemScenePackagePO querySystemScenePackageById(SystemScenePackageParam params);
    void deleteSystemScenePackage(SystemScenePackagePO po);
    void updateSystemScenePackage(SystemScenePackagePO po);


}
